Plum / developers
REST APIAuth

Verify an email code

POST/auth/verify-otp

Header Parameters

X-API-Version?"1"

Send 1 to pin the documented API contract. If omitted, the latest version is selected.

Default"1"

Value in

  • "1"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/auth/verify-otp" \  -H "X-API-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "token": "string"  }'
{  "success": true,  "data": {    "access_token": "string",    "refresh_token": "string",    "token_type": "bearer",    "expires_in": 0,    "expires_at": 0,    "user": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "email": "user@example.com"    }  }}